Can't set java.library.path in /etc/default/jetty

Bug #656374 reported by biddster on 2010-10-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
jetty (Debian)
Fix Released
Unknown
jetty (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: jetty

In /etc/default/jetty you can set the JAVA_OPTIONS. These options override the options in /etc/init.d/jetty.

This works for the majority of the options you pass to the java virtual machine. It doesn't work for -Djava.library.path as in /etc/init.d/jetty we set -Djava.library.path=/usr/lib after we pick up the JAVA_OPTIONS from /etc/default/jetty:

JAVA_OPTIONS="$JAVA_OPTIONS -Djava.io.tmpdir=$JETTY_TMP \
 -Djava.library.path=/usr/lib -DSTART=$JETTY_START_CONFIG \
  -Djetty.home=$JETTY_HOME -Djetty.logs=$LOGDIR \
  -Djetty.host=$JETTY_HOST -Djetty.port=$JETTY_PORT"

So my change to the library path in /etc/default/jetty never takes effect.

The -Djava.library.path=/usr/lib should probably be in /etc/init.d/jetty in the JAVA_OPTIONS declaration at the top and remove from line ~190.

CVE References

Niels Thykier (niels-thykier) wrote :

Hi

Is this bug against jetty in Lucid, Maverick or ... ? If it is Maverick, it might make sense to forward this issue to Debian as well.

~Niels

Niels Thykier (niels-thykier) wrote :

Erh, let me rephrase that; if it is not a bug report about the Maverick version of jetty, then we should check if the Maverick/Debian version is affected to and look at fixing those as well (though it might be too late for Maverick and Debian/Squeeze)

~Niels

I'm running Lucid. I haven't checked Maverick yet. I can spin up a virtual
box image and see if it exists there.

On 7 October 2010 20:55, Niels Thykier <email address hidden> wrote:

> Hi
>
> Is this bug against jetty in Lucid, Maverick or ... ? If it is Maverick,
> it might make sense to forward this issue to Debian as well.
>
> ~Niels
>
> --
> Can't set java.library.path in /etc/default/jetty
> https://bugs.launchpad.net/bugs/656374
> You received this bug notification because you are a direct subscriber
> of the bug.
>

biddster (luke-biddell) wrote :

Yeah, it's an issue with Maverick too. I'll try to provide a patch against
Maverick (which should work for Lucid too)

On 7 October 2010 22:14, Luke Biddell <email address hidden> wrote:

> I'm running Lucid. I haven't checked Maverick yet. I can spin up a virtual
> box image and see if it exists there.
>
>
> On 7 October 2010 20:55, Niels Thykier <email address hidden> wrote:
>
>> Hi
>>
>> Is this bug against jetty in Lucid, Maverick or ... ? If it is Maverick,
>> it might make sense to forward this issue to Debian as well.
>>
>> ~Niels
>>
>> --
>> Can't set java.library.path in /etc/default/jetty
>> https://bugs.launchpad.net/bugs/656374
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

biddster (luke-biddell) wrote :

Fix for /etc/default/jetty

biddster (luke-biddell) wrote :

FIx for /etc/init.d/jetty

Niels Thykier (niels-thykier) wrote :
Changed in jetty (Debian):
status: Unknown → New
Changed in jetty (Debian):
status: New → Fix Released

The attachment "etc.default.jetty.patch" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jetty - 6.1.26-1

---------------
jetty (6.1.26-1) unstable; urgency=low

  * New upstream release.
    - Fixes issues with loading javax.activation.
      (Closes: #594913)
  * Enable hardening flags for the setuid.so file.
  * Updated d/copyright to DEP-5 format 1.0.
  * Exit 0 in jetty's init script if jetty is already running.
    Thanks to Toby for the report and patch. (Closes: #626382)
  * Fix misspelled "character-class" in grep invocation. Thanks
    to Isaac for the report and correction. (Closes: #637961)
  * Allow java.library.path to be set in /etc/default/jetty.
    Thanks to "biddster" for the report and the patches.
    (Closes: #600175, LP: #656374)
  * Apply patch from Fedora to fix hash collision related DOS.
    - CVE-2011-4461
  * Remove Michael Koch from Uploaders. Thanks for your work
    on this package in the past. (Closes: #654034)
  * Add gnumail-providers.jar to start.config. Thanks to
    Michele Renda for the suggestion. (Closes: #591851)
  * Add symlinks from jetty{,-util}-6.1.24.jar to the 6.1.26
    version to avoid breaking eclipse.

 -- Niels Thykier <email address hidden> Wed, 25 Apr 2012 12:26:13 +0200

Changed in jetty (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.